Not what you were looking for? Ask our experts!
Reply
Virus Trouncer
mijcar
Posts: 3,098
Registered: ‎08-01-2008

Toolbar and Identity Safe Add-On's Now Compatible with Firefox Beta 3.6 build 3 ... or not?

[ Edited ]

I think the title says it all.

 

I check every so often, expecting nothing.  Today I found that 3 previously incompatible add-on's with Firefox 3.6 Beta now work.  I don't know who did what, but it's a good sign!

 

Edited:  But only sort of.  Site checks work, auto fill-in works, set-up works, but when I try to drop the Cards & Log-ins drop-down, it does nothing, and subsequent attempts crash FF.

 

And for some reason my cursor arrows don t work and my apostrophe key launches a search in FF3.4 now.

 

Time to reboot.

Message Edited by mijcar on 11-25-2009 08:30 AM
mij
N360 2013, v.20.1.0.24; Win7 Pro, SP1 (32 bit), IE 9, Firefox 14, No other active securityware
TomiRed
Posts: 906
Topics: 86
Kudos: 162
Solutions: 27
Registered: ‎06-19-2008

Re: Toolbar and Identity Safe Add-On's Now Compatible with Firefox Beta 3.6 build 3

That's great news. Whoever did what, it is evident that Mozilla and Symantec developer teams communicate.

 

There is a tool in FF 3.6 beta which beta testers can use to report working add-ons, that could be behind this welcome development.

Windows 7 Ultimate x64 SP1 -- NIS 21
Virus Trouncer
mijcar
Posts: 3,098
Registered: ‎08-01-2008

Re: Toolbar and Identity Safe Add-On's Now Compatible with Firefox Beta 3.6 build 3


TomiRed wrote:

That's great news. Whoever did what, it is evident that Mozilla and Symantec developer teams communicate.

 

There is a tool in FF 3.6 beta which beta testers can use to report working add-ons, that could be behind this welcome development.


Could be ... there was an update to this compatibility tool a day or two ago.

 

But wait!  There is more.

 

Now, after a reboot, both cursor and all Identity Safe functions are working!

 

What happened last time?  The only thing I can think of is that I switched between Firefox 3.6 and Firefox 3.5, and back.  Why that should do anything I have no idea.  Or ... perhaps it was that I had IE8 open at the same time (for awhile).

 

More trial is necessary.  If anyone else has FF 3.6 onboard, now is a good time to play with it.

mij
N360 2013, v.20.1.0.24; Win7 Pro, SP1 (32 bit), IE 9, Firefox 14, No other active securityware
Virus Trouncer
mijcar
Posts: 3,098
Registered: ‎08-01-2008

Re: Toolbar and Identity Safe Add-On's Now Compatible with Firefox Beta 3.6 build 3 ... or not?

It's been almost two hours; and so far the toolbar is working perfectly, drop-downs are working, IS is working ...

mij
N360 2013, v.20.1.0.24; Win7 Pro, SP1 (32 bit), IE 9, Firefox 14, No other active securityware
TomiRed
Posts: 906
Topics: 86
Kudos: 162
Solutions: 27
Registered: ‎06-19-2008

Re: Toolbar and Identity Safe Add-On's Now Compatible with Firefox Beta 3.6 build 3 ... or not?

I have to dissapoint you, they are not compatible yet.

 

They only work while compatibility check is disabled using this compatibility tool add-on. Once you uninstall that add-on and reenable version checking, the list of incompatible add-ons grows larger. 

Windows 7 Ultimate x64 SP1 -- NIS 21
Virus Trouncer
mijcar
Posts: 3,098
Registered: ‎08-01-2008

Re: Toolbar and Identity Safe Add-On's Now Compatible with Firefox Beta 3.6 build 3 ... or not?


TomiRed wrote:

I have to dissapoint you, they are not compatible yet.

 

They only work while compatibility check is disabled using this compatibility tool add-on. Once you uninstall that add-on and reenable version checking, the list of incompatible add-ons grows larger. 


You haven't disappointed me.

 

I have Compatibility Reporter 0.4 and it is enabled.

 

Both Norton Toolbars are functioning without any issues at all.  Device support and work are as they were in IE and non-Beta versions of Firefox.

 

1-Click Weather 1.1.8 is also supposedly incompatible - and it, too, is working perfectly.

 

Check your version and sub-version of Firefox.

My Firefox:  Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.2b3) Gecko/20091115 Firefox/3.6b3.

 

Yes, I know that the Add-On Manager "reports" that these three are incompatible (see the !'s on the icons):

 

 Example 1.jpg

 

However, the rating is partially based on user reports (I am one of those users); and previous versions of FF 3.6 were not compatible with whatever configuration of NIS 2010 was currently on the computer.  This situation has changed, but the rating has not changed ... yet.

 

It may be due to a change in FF or to an update to NIS, but whatever the reason is, it's working now; and that is the report I've submitted to Mozilla.

 

mij
N360 2013, v.20.1.0.24; Win7 Pro, SP1 (32 bit), IE 9, Firefox 14, No other active securityware
Virus Trouncer
mijcar
Posts: 3,098
Registered: ‎08-01-2008

Re: Toolbar and Identity Safe Add-On's Now Compatible with Firefox Beta 3.6 build 3 ... or not?

[ Edited ]

Firefox 3.6 Build 4 is working just as well with the add-ons.

 

Be careful because Firefox's Compatibility Checker will disable both Norton Add-On's if you enable it.  There is a message that will appear at the top of the add-on box asking you if you want to turn-on the compatibility checker.

 

Example 1.jpg

 

If you enable it, you will find both Norton Add-On's pointlessly disabled; and have to go through the Firefox clean-up process to re-enable them.  

 

 

BTW, I'd be interested in reports from anyone else using Firefox 3.6.3, 3.6.4 or later.

Message Edited by mijcar on 11-28-2009 11:21 PM
mij
N360 2013, v.20.1.0.24; Win7 Pro, SP1 (32 bit), IE 9, Firefox 14, No other active securityware
Contributor
eddie2009
Posts: 16
Registered: ‎10-25-2009

Re: Toolbar and Identity Safe Add-On's Now Compatible with Firefox Beta 3.6 build 3 ... or not?

I am using Firefox 3.6 build 4 and I norton toolbar does not work at all for me.  Almost all other addons are working fine.
Virus Trouncer
mijcar
Posts: 3,098
Registered: ‎08-01-2008

Re: Toolbar and Identity Safe Add-On's Now Compatible with Firefox Beta 3.6 build 3 ... or not?

[ Edited ]

eddie2009 wrote:
I am using Firefox 3.6 build 4 and I norton toolbar does not work at all for me.  Almost all other addons are working fine.

A little more information would be helpful.  What do you mean when you say the Norton Toolbar does not work at all?

 

Does it not appear?  Does it appear but not respond to clicking?  Are ALL Norton options enabled on the main console in NIS when you open the main console?

 

Does your Add-On Manager show only one icon for Norton IPS and that should be version 2.0 and does it indicate that it is enabled when you click on it?

 

Does your Add-On Manager show only one icon for Norton Toolbar and that should be version 4.0 and does it indicate that it is enabled when you click on it?

 

Both of these should appear exactly as in the example image below:

 

Example 3.jpg

 

 

 

Does your Add-On Manager have a message saying "add-on compatability is disabled". Exactly as in the following image?

 

Example 1.jpg

 

If would help immensely if you would answer these questions so we can look at what is going on.

Message Edited by mijcar on 11-29-2009 10:03 PM
mij
N360 2013, v.20.1.0.24; Win7 Pro, SP1 (32 bit), IE 9, Firefox 14, No other active securityware
Contributor
eddie2009
Posts: 16
Registered: ‎10-25-2009

Re: Toolbar and Identity Safe Add-On's Now Compatible with Firefox Beta 3.6 build 3 ... or not?

Thanks you for your help.

 

The icon appears but does not consistently respond to clicking, and sometimes clicking crashes the browser.  

 

And of course, the addon on is enabled when I test it, both in Norton and Firefox.

 

And finally, I don't think you mean "exactly" regarding the appearance of image because, I am not using the addon compatibilty tester, and if I was, I certainly would not have clicked "works properly."  Lol.